# boost::lockfree::fifo< T, freelist_t, Alloc > Class Template Reference

`#include <fifo.hpp>`

Inherits boost::lockfree::detail::fifo< T, freelist_t, Alloc >< T, freelist_t, Alloc >.

List of all members.

## Detailed Description

### template<typename T, typename freelist_t = caching_freelist_t, typename Alloc = std::allocator<T>>
class boost::lockfree::fifo< T, freelist_t, Alloc >

lockfree fifo

- wrapper for detail::fifo

Definition at line 205 of file fifo.hpp.

## Public Member Functions

| fifo (void)
| fifo (std::size_t initial_nodes)

The documentation for this class was generated from the following file:

- common/include/boost/lockfree/fifo.hpp